<template>
  <div id="nav">
    <div class="logo-btn" role="button" @click="mostrarHamburgesa = true">
      <Logo class="logo" />
    </div>
    <span class="nick">{{ loggedIn ? profile.nick : '...' }}</span>
    <div
      class="overlay"
      @click="mostrarHamburgesa = false"
      v-if="mostrarHamburgesa"
    ></div>
    <div class="hamburgesa" v-if="mostrarHamburgesa">
      <div class="logo-wrap">
        <Logo :showText="true" :showLogo="false" class="logo" />
      </div>
      <ul @click.capture="mostrarHamburgesa = false">
        <li><router-link to="/barcas">Barcas</router-link></li>
        <li>
          <router-link to="/faq">FAQ</router-link>
        </li>
        <li>
          <router-link to="/codigoDeConducta">Código de conducta</router-link>
        </li>
        <template v-if="loggedIn">
          <li>
            <router-link to="/vincularATelegram"
              >Vincular a Telegram</router-link
            >
          </li>
          <li>
            <router-link to="/cerrarSesion">Cerrar sesion (!)</router-link>
          </li>
        </template>
        <li><router-link to="/licencia">licencia del proyecto</router-link></li>
      </ul>
      <!--<div class="bottom">
        <button @click="mostrarHamburgesa = false">Cerrar</button>
      </div>-->
    </div>
    <div class="right">
      <button
        @click="$route.meta.backCallback($router, $route)"
        class="circle back"
        v-if="$route.meta.backCallback"
      >
        <BackIcono />
      </button>
    </div>
  </div>
</template>

<script>
import { mapState } from 'vuex'

import Logo from '@/components/Logo.vue'

import BackIcono from '@/assets/iconos/back.svg?inline'

export default {
  name: 'Nav',
  components: {
    Logo,
    BackIcono,
  },
  data() {
    return { mostrarHamburgesa: false }
  },
  computed: {
    ...mapState(['loggedIn', 'profile', 'loggingIn']),
  },
  methods: {
    cerrarSesion() {
      this.$store.dispatch('logOut').then(() => this.$router.push('/'))
    },
  },
}
</script>

<style lang="sass" scoped>
#nav
  display: flex
  align-items: center
  position: sticky
  top: -1px
  background: var(--background)
  border-bottom: 1px solid var(--darkgray)
  z-index: 99

.logo
  width: 3em
  margin: .4em

.nick
  padding: .1em .5em
  border-left: solid 2px var(--gray)
  color: var(--darkgray)

.right
  flex: 1 100%
  display: flex
  justify-content: flex-end

.logo-btn
  cursor: pointer

.overlay
  position: fixed
  top: 0
  left: 0
  right: 0
  bottom: 0
  z-index: 50
  background: black
  opacity: .5

.hamburgesa
  position: fixed
  display: flex
  flex-direction: column
  background: #333333ef
  top: 0
  left: 0
  width: 300px
  height: 100vh
  z-index: 99
  .bottom
    flex: 1 auto
    display: flex
    flex-direction: column
    justify-content: flex-end
    align-items: center
    button
      background: transparent
  .logo-wrap
    width: 100%
    height: 150px
    display: flex
    align-items: center
    justify-content: center
    .logo
      height: 3em
      width: 4em
  ul
    list-style: none
    li
      margin-top: .5em
      a
        color: inherit
    li::before
      display: inline-block
      content: '>'
      margin-right: .25em
</style>
